Commit d0baf43b authored by Kai Koehne's avatar Kai Koehne

Qml Wizard: Turn error about qml debugging getting disabled into a warning

Qml Debugging requires 4.7.1, and the path of qmljsdebugger being
specified on the command line. Just disable debugging if this
isn't the case instead of bailing out an error.

Reviewed-by: dt
parent 26f79571
......@@ -33,21 +33,21 @@ defineTest(minQtVersion) {
contains(DEFINES, QMLJSDEBUGGER) {
CONFIG(debug, debug|release) {
!minQtVersion(4, 7, 1) {
warning()
warning("Disabling QML debugging:")
warning()
warning("Debugging QML requires the qmljsdebugger library that ships with Qt Creator.")
warning("This library requires Qt 4.7.1 or newer.")
warning()
error("Qt version $$QT_VERSION too old for QmlJS Debugging. Aborting.")
}
isEmpty(QMLJSDEBUGGER_PATH) {
DEFINES -= QMLJSDEBUGGER
} else:isEmpty(QMLJSDEBUGGER_PATH) {
warning()
warning("Disabling QML debugging:")
warning()
warning("Debugging QML requires the qmljsdebugger library that ships with Qt Creator.")
warning("Please specify its location on the qmake command line, eg")
warning(" qmake -r QMLJSDEBUGGER_PATH=$CREATORDIR/share/qtcreator/qmljsdebugger")
warning()
error("QMLJSDEBUGGER defined, but no QMLJSDEBUGGER_PATH set on command line. Aborting.")
DEFINES -= QMLJSDEBUGGER
} else {
include($$QMLJSDEBUGGER_PATH/qmljsdebugger-lib.pri)
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment